
Name: lxqt-config
Version: 0.10.0
Release: %mkrel 5
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
Summary: Config panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/LXQT
#------------------------------------------
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: zlib1-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: libxcb-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}kf5kscreen-devel
BuildRequires: %{_lib}kf5windowsystem-devel
BuildRequires: %{_lib}qtxdg-devel
BuildRequires: %{_lib}lxqt-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5gui-devel
#------------------------------------------

%description
Config panel for the LXQt desktop

%prep
%setup -q %{name}-%{version}

%cmake_qt5


%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

# fix empty category - reported upstream https://github.com/lxde/lxqt/issues/509
sed -i 's/;;/;/' %{buildroot}%{_datadir}/applications/lxqt-config-monitor.desktop

#menu entry for pclos
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/lxqt-config.desktop


%files
%{_sysconfdir}/xdg/menus/lxqt-config.menu
%{_bindir}/lxqt-config
%{_bindir}/lxqt-config-locale
%{_bindir}/lxqt-config-input
%{_bindir}/lxqt-config-appearance
%{_bindir}/lxqt-config-file-associations
%{_bindir}/lxqt-config-monitor
%{_libdir}/lxqt-config/lib*.so
%{_datadir}/applications/lxqt-config*.desktop
%{_datadir}/lxqt/translations/%{name}
%{_datadir}/lxqt/translations/%{name}-appearance
%{_datadir}/lxqt/translations/%{name}-cursor
%{_datadir}/lxqt/translations/%{name}-file-associations
%{_datadir}/lxqt/translations/%{name}-input
%{_datadir}/lxqt/translations/%{name}-monitor

#manually do this until fixed upstream
%posttrans
ln -fs /%{_libdir}/lxqt-config/liblxqt-config-cursor.so %{_libdir}/liblxqt-config-cursor.so
/sbin/ldconfig


%changelog
* Sun Aug 07 2016 adrianomorselli <adrianomorselli> 0.10.0-5uplos2016
- rebuild

* Sun Apr 03 2016 bb <bb> 0.10.0-5pclos2016
- rebuild

* Sat Apr 02 2016 bb <bb> 0.10.0-4pclos2016
- rebuild against updated libs

* Sun Feb 28 2016 daniel <meisssw01 at gmail.com> 0.10.0-3pclos2016
- rebuild for 32bit

* Fri Nov 13 2015 bb <bb> 0.10.0-2pclos2015
- add menu entry to desktop file

* Tue Nov 10 2015 bb <bb> 0.10.0-1pclos2015
- import into pclos
